package net.javajigi.support.validation;

import java.util.Iterator;
import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.validation.Errors;
import org.springframework.validation.FieldError;
import org.springframework.validation.ValidationUtils;
import org.springframework.validation.Validator;

public class ValidationSupport {
	private static Log log = LogFactory.getLog(ValidationSupport.class);
	
	public static boolean validate(Validator[] validators, Object command, Errors errors) {
		if (validators != null) {
			for (int i = 0; i < validators.length; i++) {
				ValidationUtils.invokeValidator(validators[i], command,
						errors);
			}
		}

		return (errors.getErrorCount() == 0);
	}
	
	@SuppressWarnings("unchecked")
	public String getValidationErrorMessages(Errors errors) {
		if (log.isDebugEnabled()) {
			log.debug("Validation Error Count : " + errors.getErrorCount());
		}

		List errorList = errors.getAllErrors();
		Iterator errorIter = errorList.iterator();
		StringBuffer sb = new StringBuffer();
		for (int i=0; errorIter.hasNext(); i++) {
			FieldError fieldError = (FieldError) errorIter.next();
			Object[] args = fieldError.getArguments();
			String errorMessage = null;
			if ((args != null) && (args.length > 0)) {
				//errorMessage = getMessageSourceAccessor().getMessage(
				//		fieldError.getCode(), args);
			} else {
				//errorMessage = getMessageSourceAccessor().getMessage(fieldError.getCode());
			}
			
			if( log.isDebugEnabled() ) {
				log.debug(fieldError.getCode() + " : " + errorMessage);
			}
			
			sb.append(errorMessage);
			if( (i+1) < errors.getErrorCount() ) {
				sb.append("\n\n");
			}
		}

		return sb.toString();
	}
	
}
