package net.javajigi.user.model;

import net.javajigi.user.IllegalEnumTypeException;

public enum RoleType {
	NORMAL(0),
	ADMIN(1);
	
	private int type;
	
	private RoleType(int type) {
		this.type = type;
	}
	
	public int getType() {
		return type;
	}
	
	public static RoleType find(int type) throws IllegalEnumTypeException {
		for(RoleType t:RoleType.values()) {
			if( t.getType() == type ) {
				return t;
			}
		}
		
		throw new IllegalEnumTypeException(type + " invalid Role Type.");
	}
}
